The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the Protected VM Groups Present in the vIPS Cluster

Prev Next

This URL gets all the protected VM groups in the vIPS cluster.

Resource URL

GET /cloud/cluster/<id>/vmgroups

Request Parameters

URL Parameters

Field Name

Description

Data Type

Mandatory

id

Cluster id

Number

Yes

Payload Request Parameters

None

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned:

Field Name

Description

Data Type

vmgroups

List of the protected VM groups under the Cluster

Array

Details of fields in the objects under vmgroups:

Field Name

Description

Data Type

name

Protected VM group name

String

description

Protected VM group description

String

cloudCluster

Cluster name

String

cloudConnector

Controller name

String

vpc

VPC where the protected VM group has been created

Array

resourceGroup

Resource group list in case of Azure

Array

advancedAgentSettings

Traffic inspection settings

Object

protectedObjects

List of the protected subnets

Array

lastUpdated

Last updated time

String

Details of fields in advancedAgentSettings:

Field Name

Description

Data Type

trafficProcessing

Traffic processing direction. Values can be:

  • Ingress

  • Egress

  • Ingress & Egress

String

inspectionMode

Inspection mode. Values can be :

  • IPS

  • IDS

String

Example

Request

GET https://<NSM_IP>/sdkapi/cloud/cluster/101/vmgroups

Response

{
        "vmgroups":
        [
            {
                "oldName": null,
                "name": "Protected_VMGroup",
                "description": "api update",
                "cloudCluster": "Cloud_Cluster",
                "cloudConnector": "Cloud_Controller",
                "vpc": ["vpc-06b3ce61(Protected_test)"],
                "resourceGroup": [],
                "advancedAgentSettings":
                {
                    "trafficProcessing": "Ingress & Egress",
                    "inspectionMode": "ips"
                },
                "protectedObjects":
                [
                    "subnet-bde05df4(Secure_subnet)"
                ],
                "lastUpdated": "2017-03-23 11:02:50.0 (admin)"
            }
        ]
    }

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

500

1001

Internal error message: internal server error